/**
 * On Windows this behaves as a case-insensitive, case-preserving map.
 * On other platforms this is analog to Map<string, string | undefined>
 */
export declare class EnvMap implements Map<string, string | undefined> {
    private readonly map;
    get size(): number;
    constructor(iterable?: Iterable<readonly [string, string | undefined]>);
    [Symbol.iterator](): IterableIterator<[string, string | undefined]>;
    get [Symbol.toStringTag](): string;
    entries(): IterableIterator<[string, string | undefined]>;
    keys(): IterableIterator<string>;
    values(): IterableIterator<string | undefined>;
    get(key: string): string | undefined;
    set(key: string, value: string | undefined): this;
    has(key: string): boolean;
    clear(): void;
    forEach(callbackFn: (value: string | undefined, key: string, map: EnvMap) => void, thisArg?: any): void;
    delete(key: string): boolean;
}
